# eric6.Helpviewer.CookieJar.CookieDetailsDialog

Module implementing a dialog showing the cookie data.

### Global Attributes

None

### Classes

CookieDetailsDialog | Class implementing a dialog showing the cookie data.

### Functions

None

## CookieDetailsDialog

Class implementing a dialog showing the cookie data.

### Derived from

QDialog, Ui_CookieDetailsDialog

### Class Attributes

None

### Class Methods

None

### Methods

CookieDetailsDialog | Constructor
setData | Public method to set the data to be shown.

### Static Methods

None

#### CookieDetailsDialog (Constructor)

CookieDetailsDialog(parent=None)

Constructor

parent
  reference to the parent object (QWidget)

#### CookieDetailsDialog.setData

setData(domain, name, path, secure, expires, value)

Public method to set the data to be shown.

domain
  domain of the cookie (string)
name
  name of the cookie (string)
path
  path of the cookie (string)
secure
  flag indicating a secure cookie (boolean)
expires
  expiration time of the cookie (string)
value
  value of the cookie (string)

Up